GCInspector (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.service

## Class GCInspector

- java.lang.Object
- - org.apache.cassandra.service.GCInspector

- All Implemented Interfaces:
    java.util.EventListener, javax.management.NotificationListener, GCInspectorMXBean

      public class GCInspector
      extends java.lang.Object
      implements javax.management.NotificationListener, GCInspectorMXBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MBEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCInspector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getAndResetStats()`
    `org.apache.cassandra.service.GCInspector.State` | `getTotalSinceLastCheck()`
    `void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
    `static void` | `register()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MBEAN_NAME

          public static final java.lang.String MBEAN_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GCInspector

          public GCInspector()

  - ### Method Detail

    - #### register

          public static void register()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### handleNotification

          public void handleNotification(javax.management.Notification notification,
                                java.lang.Object handback)

      Specified by:
        `handleNotification` in interface `javax.management.NotificationListener`

    - #### getTotalSinceLastCheck

          public org.apache.cassandra.service.GCInspector.State getTotalSinceLastCheck()

    - #### getAndResetStats

          public double[] getAndResetStats()

      Specified by:
        `getAndResetStats` in interface `GCInspectorMXBean`

Copyright © 2014 The Apache Software Foundation